Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.PortableServer
Class IdAssignmentPolicyValue

    java.lang.Object
      org.omg.PortableServer.IdAssignmentPolicyValue

All Implemented Interfaces:
  Serializable, IDLEntity

    public class IdAssignmentPolicyValue

extends Object
implements IDLEntity

The IdAssignmentPolicyValue can have the following values. USER_ID - Objects created with that POA are assigned Object Ids only by the application. SYSTEM_ID - Objects created with that POA are assigned Object Ids only by the POA. If the POA also has the PERSISTENT policy, assigned Object Ids must be unique across all instantiations of the same POA.

Field Summary
`static int` | `_SYSTEM_ID`
`static int` | `_USER_ID`
`static IdAssignmentPolicyValue` | `SYSTEM_ID`
`static IdAssignmentPolicyValue` | `USER_ID`

Constructor Summary
`protected` | `IdAssignmentPolicyValue(int value)`

Method Summary
`static IdAssignmentPolicyValue` | `from_int(int value)`
`int` | `value()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _USER_ID

    public static final int _USER_ID

See Also:
  Constant Field Values

### USER_ID

    public static final IdAssignmentPolicyValue USER_ID

### _SYSTEM_ID

    public static final int _SYSTEM_ID

See Also:
  Constant Field Values

### SYSTEM_ID

    public static final IdAssignmentPolicyValue SYSTEM_ID

Constructor Detail

### IdAssignmentPolicyValue

    protected IdAssignmentPolicyValue(int value)

Method Detail

### value

    public int value()

### from_int

    public static IdAssignmentPolicyValue from_int(int value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.